package com.example.onlinejudge.service;

import com.example.onlinejudge.model.VO.UserVO;
import com.example.onlinejudge.model.entity.User;
import com.example.onlinejudge.common.result.Result;

import javax.servlet.http.HttpServletRequest;

public interface UserService {
    Result login(String username, String password);

    User getLoginUser(HttpServletRequest request);

    Boolean isAdmin(Long userId);

    Long getLoginUserId();

    User getUserById(Long id);

    UserVO getUserVO(User user);
}
